using System.ComponentModel;

namespace APT.BaseData.Domain.ApiModel.BD
{
    /// <summary>
    /// HMI统一取数接口返回
    /// </summary>
    public class HmiUnifiedAccessModel
    {
        [Description("AB线电压")]
        public string UAB { get; set; }

        [Description("BC线电压")]
        public string UBC { get; set; }

        [Description("CA线电压")]
        public string UCA { get; set; }

        [Description("线电压平均")]
        public string UAVG { get; set; }

        [Description("相电压平均")]
        public string PAVG { get; set; }

        [Description("线电流平均")]
        public string IAVG { get; set; }

        /// <summary>
        /// VII最大不平衡
        /// </summary>
        [Description("VII最大不平衡")]
        public string VII_MAX_IMB{ get; set; }

        /// <summary>
        /// AN 零线电流
        /// </summary>
        [Description("AN零线电流")]
        public string ZERO_LINE_CURRENT { get; set; }

        [Description("负荷率")]
        public string LOAD_RATE { get; set; }

        [Description("熔断电流比")]
        public string INTFUSING_RATE{ get; set; }

        [Description("在线状态")]
        public string ONLINE_STATUS { get; set; }



        [Description("月计划数量")]
        public string PLAN_QTY { get; set; }

        [Description("月报工数量")]
        public string BOOK_QTY { get; set; }

        [Description("月计划达成率")]
        public string PLAN_RATE { get; set; }

        [Description("月产品单耗")]
        public string MONTH_PRODUCT_UNIT_CONSU{ get; set; }

        [Description("月工时单耗")]
        public string MONTH_TIME_UNIT_CONSU { get; set; }

        [Description("月单耗KPI")]
        public string MONTH_UNIT_CONSU_KPI { get; set; }

        [Description("年单耗KPI")]
        public string YEAR_UNIT_CONSU_KPI { get; set; }

        [Description("年度指标")]
        public string YEAR_TARGET { get; set; }

        [Description("年度已用")]
        public string YEAR_USED { get; set; }

        [Description("年度用能比例")]
        public string YEAR_USED_RATE { get; set; }


        [Description("节点信息")]
        public string NODE_INFO { get; set; }

        [Description("能源分类分项信息")]
        public string ENERGY_CLASS_INFO { get; set; }

        [Description("节点年度用能")]
        public string NODE_YEAR_USED_INFO { get; set; }

    }
}
